import { service } from './service'

import { config } from './config'

const { default_headers } = config

const request = (option) => {
  const { url, method, params, data, headersType, responseType, ...config } = option
  return service({
    url: url,
    method,
    params,
    data,
    ...config,
    responseType: responseType,
    headers: {
      'Content-Type': headersType || default_headers
    }
  })
}
export default {
  get: async (url, params, headersType, responseType) => {
    return request({
      url: url,
      method: 'get',
      params: params,
      headersType: headersType,
      responseType: responseType
    })
  }
}