import personal from './personal'
import enterprise from './enterprise'

const type  = 0
const routeArray = [
  personal,
  enterprise
]
const items = routeArray[type]
const remainingRouter = [
  {
    path: '/',
    component: () => import('@/views/login/index'),
    name: 'login',
    meta: {
      hidden: true,
      title: '登录/注册'
    }
  },
  {
    path: '/userAgreement',
    component: () => import('@/views/login/components/userAgreement.vue'),
    name: 'userAgreement',
    meta: {
      hidden: true,
      title: '用户协议'
    }
  },
  {
    path: '/privacyPolicy',
    component: () => import('@/views/login/components/privacyPolicy.vue'),
    name: 'privacyPolicy',
    meta: {
      hidden: true,
      title: '隐私政策'
    }
  },
  {
    path: '/home',
    component: () => import('@/views/Home/index'),
    name: 'home',
    meta: {
      hidden: true,
      title: '首页'
    }
  },
  {
    path: '/register',
    component: () => import('@/views/enterprise/components/register'),
    name: 'register',
    meta: {
      hidden: true,
      title: '注册企业'
    }
  },
  ...items
]

export default remainingRouter